using Microsoft.VisualBasic.CompilerServices;
using System;

//namespace SE0085.CTdB
namespace FAS_LIB
{
  public class scMESBOM
  {
    private string _plnt;
    private string _q2c_nbr;
    private string _ln_dsply_seq_nbr;
    private string _sub_ln_itm_id;
    private string _orig_shpschd_id;
    private string _prdn_ord_nbr;
    private string _shp_splt;
    private string _sect_id;
    private string _parent_part_nbr;
    private string _comp_part_nbr;
    private Decimal _qty_per;
    private Decimal _ext_qty_per;

    public string plnt
    {
      get
      {
        return this._plnt;
      }
      set
      {
        this._plnt = value;
      }
    }

    public string q2c_nbr
    {
      get
      {
        return this._q2c_nbr;
      }
      set
      {
        this._q2c_nbr = value;
      }
    }

    public string ln_dsply_seq_nbr
    {
      get
      {
        return this._ln_dsply_seq_nbr;
      }
      set
      {
        this._ln_dsply_seq_nbr = value;
      }
    }

    public string sub_ln_itm_id
    {
      get
      {
        return this._sub_ln_itm_id;
      }
      set
      {
        this._sub_ln_itm_id = value;
      }
    }

    public string orig_shpschd_id
    {
      get
      {
        return this._orig_shpschd_id;
      }
      set
      {
        this._orig_shpschd_id = value;
      }
    }

    public string prdn_ord_nbr
    {
      get
      {
        return this._prdn_ord_nbr;
      }
      set
      {
        this._prdn_ord_nbr = value;
      }
    }

    public string shp_splt
    {
      get
      {
        return this._shp_splt;
      }
      set
      {
        this._shp_splt = value;
      }
    }

    public string sect_id
    {
      get
      {
        return this._sect_id;
      }
      set
      {
        this._sect_id = value;
      }
    }

    public int CIntsect_id
    {
      get
      {
        return Conversions.ToInteger(this._sect_id);
      }
    }

    public string parent_part_nbr
    {
      get
      {
        return this._parent_part_nbr;
      }
      set
      {
        this._parent_part_nbr = value;
      }
    }

    public string comp_part_nbr
    {
      get
      {
        return this._comp_part_nbr;
      }
      set
      {
        this._comp_part_nbr = value;
      }
    }

    public Decimal qty_per
    {
      get
      {
        return this._qty_per;
      }
      set
      {
        this._qty_per = value;
      }
    }

    public Decimal ext_qty_per
    {
      get
      {
        return this._ext_qty_per;
      }
      set
      {
        this._ext_qty_per = value;
      }
    }

    public scMESBOM()
    {
      this._plnt = "";
      this._q2c_nbr = "";
      this._ln_dsply_seq_nbr = "";
      this._sub_ln_itm_id = Conversions.ToString(0);
      this._orig_shpschd_id = "";
      this._prdn_ord_nbr = "";
      this._shp_splt = "";
      this._sect_id = "";
      this._parent_part_nbr = "";
      this._comp_part_nbr = "";
      this._qty_per = new Decimal();
      this._ext_qty_per = new Decimal();
    }
  }
}
